On Fri, Feb 5, 2016 at 2:56 PM, Gromak Yuriy <se...@netcloud.pro> wrote:
> Qemu is latest from master branch.
> Tryingto start a domain, which is connected toa blankcdrom:
>         <disk type='file' device='cdrom'>
>           <driver name='qemu' type='raw'/>
>           <target dev='sdb' bus='scsi'/>
>           <readonly/>
>           <address type='drive' controller='0' target='1' bus='0' unit='0'/>
>         </disk>
> But I get an error:
> qemu-system-x86_64: -drive
> if=none,id=drive-scsi0-0-1-0,readonly=on,format=raw: Can't use 'raw' as a
> block driver for the protocol level.

Mathieu hit the same problem with a QEMU 2.6 backport for Debian
jessie.  His libvirt version is based on 1.2.9.

QEMU began printing this error starting from version 2.6.0.

I think newer libvirt versions have compensated.  There is no error
when I use Mathieu's domain XML with libvirt based on 1.3.3 (Fedora

Looks like you need a modern libvirt to run against a modern QEMU.


libvir-list mailing list

Reply via email to